[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.GetPattern

Gets the Pattern used in the Pen.

## Declaration

Source position: graphics.pp line 676

`public function TPen.GetPattern: TPenPattern;`

## Description

GetPattern is a TPenPattern function used to get Pattern for the pen. Use SetPattern to assign the Pattern used for the pen.

Remark: | Please note that the Pattern property in the TFPCustomPen ancestor class uses a different type (LongWord instead of TPenPattern).

## See also

TPen.SetPattern |  | SetPattern - specifies the pattern for the pen.